Skip to main content
PUT
Update journal entry

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

journal_entry_id
string<uuid>
required

Body

application/json
description
string
required
currency
string
required
journal_lines
(CreateJournalLineRequestSchema · object | CreateJournalLineFromAccountDataRequestSchema · object)[]
required
event
string | null
posted_at
string<date-time> | null
custom_data
Custom Data · object | null
status_type
enum<string> | null
Available options:
pending,
forecasted,
estimated,
posted
auto_adjust_closed_period
boolean

If True, automatically adjust posted_at to next open period if it falls in a closed period. Set to False to raise PeriodClosedException instead.

source_event_log_id
string<uuid> | null
source_resource_type
string | null
source_resource_id
string<uuid> | null
source_operation
string | null

Response

Successful Response

id
string<uuid>
required
organisation_id
string<uuid>
required
description
string
required
currency
string
required
journal_lines
JournalLineSchema · object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
posted_at
string<date-time> | null
custom_data
Custom Data · object | null